IPV6_MULTICAST_LOOP(2const)

NAME
IPV6_MULTICAST_LOOP - loop back sent multicast packets to local sockets

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IPV6, IPV6_MULTICAST_LOOP,
               const int *enable, sizeof(int));
int getsockopt(int sockfd, IPPROTO_IPV6, IPV6_MULTICAST_LOOP,
               int *enabled, sizeof(int));

DESCRIPTION
Control whether the socket sees multicast packets that it has send itself.

ERRORS
See IPPROTO_IPV6(2const). See setsockopt(2). See ipv6(7).

HISTORY

IPV6_MULTICAST_LOOP
    POSIX.1-2001.

SEE ALSO
IP_MULTICAST_LOOP(2const), IPPROTO_IPV6(2const), setsockopt(2), ipv6(7)